<?php
date_default_timezone_set('America/Lima');
class cNotadebito{
	
	function insertar($fec,$docid,$numdoc,$usuid,$venid,$mot,$tip,$tot){
		$now =  date('Y-m-d h:i:s a');
	$sql = "INSERT INTO tb_notadebito(
	`tb_notadebito_reg` ,
	`tb_notadebito_fec` ,
	`tb_documento_id` ,
	`tb_notadebito_numdoc` ,
	`tb_usuario_id` ,
	`tb_venta_id` ,
	`tb_notadebito_motivo`,
	`tb_notadebito_tip`,
	`tb_notadebito_tot`
	)
	VALUES (
	'$now','$fec','$docid','$numdoc','$usuid','$venid','$mot','$tip','$tot');"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function validarVenta($id){
		$sql="SELECT * FROM tb_notadebito nd
		inner join tb_venta v on v.tb_venta_id = nd.tb_venta_id
		WHERE nd.tb_venta_id='$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function insertardetalle($asu,$valuni,$notdeb_id){
		
	$sql = "INSERT INTO tb_notadebitodetalle(
	`tb_notadebitodetalle_asu` ,
	`tb_notadebitodetalle_valuni`,
	`tb_notadebito_id`
	)
	VALUES ('$asu','$valuni','$notdeb_id');"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function ultimoInsert(){
	$sql = "SELECT last_insert_id()"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function filtrar($fec1,$fec2,$empid,$numdoc,$monid,$cliid){
	$sql = "SELECT * FROM tb_notadebito nd 
	inner join tb_venta v on v.tb_venta_id = nd.tb_venta_id
	inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
	inner join tb_empresa emp on emp.tb_empresa_id = pv.tb_empresa_id
	where nd.tb_notadebito_xac = 1 "; 
	
	
	if($numdoc!=""){
			$sql.=" AND nd.tb_notadebito_numdoc like '%$numdoc%' ";
	}else{
			$sql.=" AND nd.tb_notadebito_fec BETWEEN '$fec1' AND '$fec2' ";
	}
	
	
	if($empid>0)$sql.=" AND v.tb_empresa_id = '$emp_id' ";
	
	if($cliid>0)$sql.=" AND v.tb_cliente_id = '$cli_id' ";
	if($monid>0)$sql.=" AND v.tb_moneda_id = $mon_id ";
		
	
	
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function mostrarUno($notdebid){
	$sql = "SELECT * FROM tb_notadebito nd
	inner join tb_venta v on v.tb_venta_id = nd.tb_venta_id
	inner join tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
	where nd.tb_notadebito_id = '$notdebid'"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	
	function mostrar_detalle($notdebid){
	$sql = "SELECT * FROM tb_notadebitodetalle ndd where ndd.tb_notadebito_id = '$notdebid'"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function ver_estadoventa($id){
		$sql="SELECT * 
		FROM tb_venta WHERE tb_venta_id='$id'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function act_firma($id,$digval,$sigval,$urlxml){
		$now =  date('Y-m-d h:i:s a');
	$sql = "UPDATE tb_notadebito SET  
	`tb_notadebito_digval` =  '$digval',
	`tb_notadebito_sigval` =  '$sigval',
	`tb_notadebito_urlxml` =  '$urlxml'
	WHERE tb_notadebito_id = '$id' "; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function act_sunat($id,$est){
		$now =  date('Y-m-d h:i:s a');
	$sql = "UPDATE tb_notadebito SET  
	`tb_notadebito_fecenvsun` = '$now',
	`tb_notadebito_estsun` =  '$est'
	WHERE tb_notadebito_id = '$id' "; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
}
?>